Vagrant.configure("2") do |config|
    config.vm.provider "virtualbox" do |v|
    config.vm.box = "generic/debian11"
      v.memory = 4048
      v.cpus = 2
    end
    config.vm.network :private_network, ip: "33.33.33.10",virtualbox__intnet: true
    config.vm.network :forwarded_port, guest: 80, host: 8080,  :name => "http", :auto => true
    config.vm.synced_folder ".", "/vagrant", type: "sshfs"
    config.vm.provision "shell", path: "provision/provision.sh"
    config.ssh.insert_key = false
 end
